Package org.opensaml.xmlsec.encryption.support

# Class KeyAgreementEncryptionConfiguration

java.lang.Object
org.opensaml.xmlsec.encryption.support.KeyAgreementEncryptionConfiguration

Direct Known Subclasses:
  `SAMLMetadataKeyAgreementEncryptionConfiguration`

public class KeyAgreementEncryptionConfiguration extends Object
A component representing the specific configuration for a key agreement encryption operation.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`algorithm`
The key agreement algorithm URI.
`private Collection<KeyAgreementParameter>`
`parameters`
The collection of `KeyAgreementParameter`.

## Constructor Summary

Constructors
Constructor
Description
`KeyAgreementEncryptionConfiguration()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAlgorithm()`
Get the algorithm URI.
`Collection<KeyAgreementParameter>`
`getParameters()`
Get the collection of `KeyAgreementParameter`.
`void`
`setAlgorithm(String uri)`
Set the algorithm URI.
`void`
`setParameters(Collection<KeyAgreementParameter> params)`
Set the collection of `KeyAgreementParameter`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### algorithm

@Nullable private String algorithm
The key agreement algorithm URI.

### parameters

@Nullable private Collection<KeyAgreementParameter> parameters
The collection of `KeyAgreementParameter`.

## Constructor Details

### KeyAgreementEncryptionConfiguration

public KeyAgreementEncryptionConfiguration()

## Method Details

### getAlgorithm

@Nullable public String getAlgorithm()
Get the algorithm URI.

Returns:
  the algorithm URI

### setAlgorithm

public void setAlgorithm(@Nullable String uri)
Set the algorithm URI.

Parameters:
  `uri` - the algorithm URI

### getParameters

@Nullable @NotLive @Unmodifiable public Collection<KeyAgreementParameter> getParameters()
Get the collection of `KeyAgreementParameter`.

Note that null is a very significant return value here as the calling code will skip nulls but pick the first non-null result, so an empty collection will circumvent key agreement. This does not imply nullable elements.

Returns:
  the collection of parameters or null if none exist

### setParameters

public void setParameters(@Nullable Collection<KeyAgreementParameter> params)
Set the collection of `KeyAgreementParameter`.

Parameters:
  `params` - the collection of parameters